com.hazelcast.util.executor

## Class NamedThreadPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - com.hazelcast.util.executor.NamedThreadPoolExecutor

- All Implemented Interfaces:
    ManagedExecutorService, Executor, ExecutorService

      public class NamedThreadPoolExecutor
      extends ThreadPoolExecutor
      implements ManagedExecutorService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedThreadPoolExecutor(String name, int corePoolSize, int maximumPoolSize, long keepAliveTime, TimeUnit unit, BlockingQueue<Runnable> workQueue, ThreadFactory threadFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getQueueSize()`
    `int` | `getRemainingQueueCapacity()`
    `String` | `toString()`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.util.executor.ManagedExecutorService

      `getCompletedTaskCount, getMaximumPoolSize, getPoolSize`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow, submit, submit, submit`

    - ### Methods inherited from interface java.util.concurrent.Executor

      `execute`

- - ### Constructor Detail

    - #### NamedThreadPoolExecutor

          public NamedThreadPoolExecutor(String name,
                                         int corePoolSize,
                                         int maximumPoolSize,
                                         long keepAliveTime,
                                         TimeUnit unit,
                                         BlockingQueue<Runnable> workQueue,
                                         ThreadFactory threadFactory)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ManagedExecutorService`

    - #### getQueueSize

          public int getQueueSize()

      Specified by:
        `getQueueSize` in interface `ManagedExecutorService`

    - #### getRemainingQueueCapacity

          public int getRemainingQueueCapacity()

      Specified by:
        `getRemainingQueueCapacity` in interface `ManagedExecutorService`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ThreadPoolExecutor`

Copyright © 2018. All rights reserved.